The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> strrchr - string scanning operation

#### SYNOPSIS

> ``#include <string.h>
> char *strrchr(const char *`s`, int` c`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of POSIX.1-2008 defers to the ISO C standard.

> The strrchr() function shall locate the last occurrence of c (converted to a char) in the string pointed to by s. The terminating NUL character is considered to be part of the string.

#### RETURN VALUE

> Upon successful completion, strrchr() shall return a pointer to the byte or a null pointer if c does not occur in the string.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> ##### Finding the Base Name of a File

> The following example uses strrchr() to get a pointer to the base name of a file. The strrchr() function searches backwards through the name of the file to find the last `'/'` character in name. This pointer (plus one) will point to the base name of the file.

>     #include <string.h>
>     ...
>     const char *name;
>     char *basename;
>     ...
>     basename = strrchr(name, '/') + 1;
>     ...

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> strchr

> XBD <string.h>

#### CHANGE HISTORY

> First released in Issue 1. Derived from Issue 1 of the SVID.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]